Name:		contacts        
Version:        0.2
Release:        1%{?dist}
Summary:        Contacts addressbook

Group:         	Applications/Productivity
License:       	GPL 
URL:            http://projects.o-hand.com/contacts
Source0:        http://www.openedhand.com/~chris/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires:  libglade2-devel >= 2.0.0
BuildRequires:  evolution-data-server-devel >= 1.2.0
BuildRequires: 	desktop-file-utils intltool gettext
# Needed for svn snapshot
#BuildRequires: 	automake gnome-common libtool

%description
Contacts is a small, lightweight addressbook that uses libebook. 
This is the same library that GNOME Evolution uses, so all contact data that 
exists in your Evolution database is accessible via Contacts. Contacts features 
advanced vCard field type handling and is designed for use on hand-held 
devices, such as the Nokia 770 or the Sharp Zaurus series of PDAs.

%prep
%setup -n %{name}-%{version} -q


%build
#./autogen.sh
%configure
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang Contacts

%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
    # If the schema file has ever been renamed::
    #gconftool-2 --makefile-uninstall-rule \
    #  %{_sysconfdir}/gconf/schemas/[OLDNAME].schemas > /dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
    killall -HUP gconfd-2 || :
fi


%files -f Contacts.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/pixmaps/oh-contacts.png
%{_datadir}/contacts/contacts.glade
%{_datadir}/applications/fedora-%{name}.desktop
%{_bindir}/contacts


%changelog
* Fri Dec 15 2006 Jesse Keating <jkeating@redhat.com> - 0.2-1
- build for 0.2

* Mon Oct 30 2006 Jesse Keating <jkeating@redhat.com> - 0.1-6.20060813svn
- rebuild for new eds

* Sun Aug 27 2006 Jesse Keating <jkeating@redhat.com> - 0.1-5.20060813svn
- rebuild

* Sun Aug 11 2006 Jesse Keating <jkeating@redhat.com> - 0.1-4.20060813svn
- Pull an SVN snapshot for e-d-s fixes (among other things)

* Fri Jun 09 2006 Jesse Keating <jkeating@redhat.com> - 0.1-2
- Bump for newer mock
- Add dist

* Thu Apr 13 2006 David Nielsen <david@lovesunix.net> - 0.1-1
- Initial import
